openSUSE Security Update : libwmf (openSUSE-2015-444)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

libwmf was updated to fix two security issues.

The following vulnerabilities were fixed :

- CVE-2015-0848: An attacker that could trick a victim
into opening a specially crafted WMF file with BMP
portions in a libwmf based application could have
executed arbitrary code with the user's privileges.
(boo#933109)

- CVE-2015-0848: An attacker that could trick a victim
into opening a specially crafted WMF file in a libwmf
based application could have executed arbitrary code
through incorrect run-length encoding. (boo#933109)

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=933109

Solution :

Update the affected libwmf packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 84385 ()

Bugtraq ID:

CVE ID: CVE-2015-0848
CVE-2015-4588

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now